About Store Forum Documentation Contact
Donations:
197$/mo



Post Reply 
Migrate from EE1.0
Author Message
Harry Offline
Member

Post: #1
Migrate from EE1.0
Hello,

After a long time I felt I want to play with Esenthel and migrate old project created on old Esenthel 1.0 to the latest Esenthel version. I was able to adapt the code to the new API but then I faced problem with World.

Is there any possibility to migrate/import old World to the latest EE?
(This post was last modified: 01-10-2020 09:39 PM by Harry.)
01-10-2020 09:33 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #2
RE: Migrate from EE1.0
https://github.com/Esenthel/EsenthelEngi...t.cpp#L366
You can change that to "1" to allow imports from 1.0 projects, howver this is not officially supported anymore since 1.0 was discontinued several years ago.
01-11-2020 03:44 AM
Find all posts by this user Quote this message in a reply
Harry Offline
Member

Post: #3
RE: Migrate from EE1.0
It worked but with some problems:
- this line failed due to Smaller Type Check option enabled:
https://github.com/Esenthel/EsenthelEngi....cpp#L1050
- this line failed due to out of range issue. I used InRange function to skip this problem:
https://github.com/Esenthel/EsenthelEngi...er.cpp#L33

After that the project was imported but when I'm trying to open world or object, editor fails with an error attached. I had to disable assert to see objects but this is just a workaround.

Can you help me a bit with last issue? It looks like imported project impacts on Editor's camera cube rendering.

EDIT: Other non-imported projects seems to be impacted too on custom-built Editor. I can't use Editor from the binary version as message about usin newer version of tool shows.

EDIT2: I recompiled Editor and Engine once again and it seems to work now.


Attached File(s) Image(s)
   
(This post was last modified: 01-11-2020 08:52 PM by Harry.)
01-11-2020 07:39 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #4
RE: Migrate from EE1.0
This problem is fixed in Dev branch. It only occurred when using DEBUG mode.
01-12-2020 05:44 AM
Find all posts by this user Quote this message in a reply
Harry Offline
Member

Post: #5
RE: Migrate from EE1.0
I found one feature from old Editor is missing. I can't nest/embed sub-objects by drag and drop another object. Is there an OOTB replacement of it in latest version? Or should I use some custom solution like custom ID parameters.
01-26-2020 09:37 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #6
RE: Migrate from EE1.0
I've just tried however it works OK.

Also:
You can make a parameter, set type to "Element ID" then you can drag any kind of element to that parameter (even multiple elements to one parameter).
01-27-2020 05:18 AM
Find all posts by this user Quote this message in a reply
Harry Offline
Member

Post: #7
RE: Migrate from EE1.0
Yes, you're right. Sorry. It did not work for me because I was trying to put them on properties list rather than empty space below them.
(This post was last modified: 01-27-2020 06:26 PM by Harry.)
01-27-2020 06:24 PM
Visit this user's website Find all posts by this user Quote this message in a reply
Post Reply